/*
 * This program evaluates infix expressions of unsigned integers using two
 * stacks. It consists of three classes. This is the main class that creates
 * a GUI that allows the user input an infix expression and displays the result.
 */

package main1;

import javax.swing.*;

/**
 * September 1, 2018
 */

public class PRJ1 extends JFrame {
    private PRJ1() {

        JButton b = new JButton("Evaluate");
        JTextField exprField = new JTextField(30);
        JPanel panel = new JPanel();
        setContentPane(panel);

        JPanel inputPanel = new JPanel();

        inputPanel.add(new JLabel("Enter Infix Expression"));
        inputPanel.add(exprField);
        panel.add(inputPanel);
        JPanel panel1 = new JPanel();
        panel1.add(b);
        panel.add(panel1);

        JPanel panel2 = new JPanel();
        panel2.add(new JLabel("Result"));
        JTextField result = new JTextField(20);
        result.setEditable(false);
        panel2.add(result);
        panel.add(panel2);

        b.addActionListener(e -> {
            try {
                result.setText(InfixParserAndCalculator.evaluate(exprField.getText()) + "");
            } catch (DivideByZero divideByZero) {
                JOptionPane.showMessageDialog(
                        PRJ1.this,
                        "Division By Zero Is Not Allowed",
                        "Division By Zero",
                        JOptionPane.ERROR_MESSAGE);

            }
        });
        setLayout(new BoxLayout(getContentPane(), BoxLayout.Y_AXIS));
        setSize(600, 200);
        setVisible(true);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    public static void main(String[] args) {
        PRJ1 PRJ1 = new PRJ1();
    }
}
